com.rscja.deviceapi.interfaces

## Interface IUhfReader

- All Superinterfaces:
    IReader
  All Known Subinterfaces:
    IRFIDWithUHFUSB, IUhfBle
  All Known Implementing Classes:
    EmptyUhfBle, RFIDWithUHFBLE, RFIDWithUHFBLE_qcom, RFIDWithUHFBLEN51_qcom, RFIDWithUHFBLEN52_qcom, RFIDWithUHFUSB, RFIDWithUHFUSB_qcom, UHFTemperatureTag, UHFTemperatureTag.RFIDWithUHFBLEN51, UHFTemperatureTag.RFIDWithUHFBLEN52, UHFTemperatureTagsBLEAPI

      public interface IUhfReader
      extends IReader

  R2、R5、R6 蓝牙和USB读写器包含的uhf特有内容
  Author:
    Administrator

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IReader

      `UPDATE_STM32`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteAllTagToFlash()` 删除R2、R6缓存的标签 Delete tag in buffer of R2 and R6
    `int` | `getAllTagTotalFromFlash()` 获取R2、R6 缓存的标签数量 Acquire tag amounts in buffer of R2 and R6.
    `int` | `getFastID()`
    `int` | `getNewTagTotalFromFlash()`
    `int` | `getReaderAwaitSleepTime()` 获取读写器等待休眠的时间
    `java.util.List<UHFTAGInfo>` | `getTagDataFromFlash()` 获取R2、R6缓存的标签信息 Acquire tag information in buffer of R2 and R6
    `int` | `getTagfocus()`
    `java.util.List<UHFTAGInfo>` | `readTagFromBufferList()` Deprecated.
    `boolean` | `setReaderAwaitSleepTime(int time)` 设置读写器等待休眠的时间。在读写器断开连接的状态下，即将进入休眠的时间。

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IReader

      `blinkOfLed, closeLed, getBarcodeTypeInSSIID, getBattery, getParameter, getSTM32Version, openLed, scanBarcode, scanBarcodeToBytes, setBarcodeTypeInSSIID, setBeep, setKeyEventCallback, setParameter, startScanBarcode, triggerBeep`

- - ### Method Detail

    - #### readTagFromBufferList

          @Deprecated
          java.util.List<UHFTAGInfo> readTagFromBufferList()

      Deprecated.
      Deprecated. Use `#setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .

    - #### getAllTagTotalFromFlash

          int getAllTagTotalFromFlash()

      获取R2、R6 缓存的标签数量
      Acquire tag amounts in buffer of R2 and R6.
      Returns:
        返回缓存标签的数量(return tag amounts in buffer.)

    - #### deleteAllTagToFlash

          boolean deleteAllTagToFlash()

      删除R2、R6缓存的标签
      Delete tag in buffer of R2 and R6
      Returns:
        true:成功(success) false:失败(failure)

    - #### getTagDataFromFlash

          java.util.List<UHFTAGInfo> getTagDataFromFlash()

      获取R2、R6缓存的标签信息
      Acquire tag information in buffer of R2 and R6
      Returns:
        返回缓存的标签列表(Return tag list of buffer)

    - #### setReaderAwaitSleepTime

          boolean setReaderAwaitSleepTime(int time)

      设置读写器等待休眠的时间。在读写器断开连接的状态下，即将进入休眠的时间。
      Parameters:
        `time` - (1-254)等待休眠时间单位:分钟，默认5分钟
      Returns:
        true:成功 false:失败

    - #### getReaderAwaitSleepTime

          int getReaderAwaitSleepTime()

      获取读写器等待休眠的时间
      Returns:
        返回等待休眠的时间, 返回-1表示获取失败

    - #### getNewTagTotalFromFlash

          int getNewTagTotalFromFlash()

    - #### getFastID

          int getFastID()

    - #### getTagfocus

          int getTagfocus()